## fssync 1.0

=== Makefile ===
PREFIX = /usr/local

.PHONY: all install uninstall clean test

all: fssync.1

fssync.1: README.rst
	rst2man $< $@

install: all
	install -Dp fssync $(DESTDIR)$(PREFIX)/bin/fssync
	install -Dpm 0644 fssync.1 $(DESTDIR)$(PREFIX)/share/man/man1/fssync.1

uninstall:
	-cd $(DESTDIR)$(PREFIX) && rm -f bin/fssync share/man/man1/fssync.1

clean:
	-rm -f fssync.1

=== debian/changelog ===
fssync (1.0-1ubuntu1) trusty; urgency=medium

  * Don't use a versioned shebang for python3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2014 15:41:06 +0100

fssync (1.0-1) unstable; urgency=low

  * Initial release (Closes: #732332)

 -- Julien Muchembled <jm@jmuchemb.eu>  Wed, 18 Dec 2013 20:38:51 +0100

=== debian/control ===
Source: fssync
Section: utils
Priority: extra
Maintainer: Julien Muchembled <jm@jmuchemb.eu>
Build-Depends: debhelper (>= 8.0.0), python-docutils
Standards-Version: 3.9.5
Homepage: http://jmuchemb.eu/fssync.git
Vcs-Git: git://jmuchemb.eu/fssync.git

Package: fssync
Architecture: all
Depends: ${misc:Depends}, python3, python3-pylibacl (>> 0.5.1-1.1), openssh-client | openssh-server
Description: File system synchronization tool (1-way, over SSH)
 fssync is a 1-way file-synchronization tool that tracks inodes and maintains a
 local database of files that are on the remote side, making it able to:
  - handle efficiently a huge number of dirs/files
  - detect renames/moves and hard-links
 .
 It aims at minimizing network traffic and synchronizing every detail of a file
 system:
  - all types of inode: file, dir, block/character/fifo, socket, symlink
  - preserve hard links
  - modification time, ownership/permission/ACL, extended attributes
  - sparse files
 .
 Other features:
  - it can be configured to exclude files from synchronization
  - fssync can be interrupted and resumed at any time, making it tolerant to
    random failures (e.g. network error)
  - algorithm to synchronize file content is designed to handle big files
    like VM images efficiently, by updating fixed-size modified blocks in-place
 .
 Main usage of fssync is to prevent data loss in case of hardware failure,
 where RAID1 is not possible (e.g. in laptops).
 .
 On Btrfs file systems, fssync is an useful alternative to `btrfs send` (and
 `receive`) commands, thanks to filtering capabilities. This can be combined
 with Btrfs snapshotting at destination side for a full backup solution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2, $(shell dpkg-parsechangelog -l$(PKD)/changelog))
UVER = $(shell dpkg-parsechangelog -l$(PKD)/changelog | \
               sed -nr 's/^Version: (.*:)?(.*)-(.*)/\2/p')

.PHONY: get-orig-source
get-orig-source: $(PKG)_$(UVER).orig.tar.xz
$(PKG)_$(UVER).orig.tar.xz:
	set $(PKG)-$(UVER)/; (cd $(PKD)/.. && git archive --format=tar \
	--prefix=$$1 HEAD) | tar --delete $$1debian/ $$1.gitignore | xz > $@

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## fssync 1.2

=== debian/changelog ===
fssync (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Julien Muchembled <jm@jmuchemb.eu>  Sun, 22 Jun 2014 23:27:02 +0200

fssync (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Stop depending explicitly on Python 3.3 (Closes: #739882).
  * Update copyright years.

 -- Julien Muchembled <jm@jmuchemb.eu>  Mon, 10 Mar 2014 20:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: fssync
 Architecture: all
-Depends: ${misc:Depends}, python3, python3-pylibacl (>> 0.5.1-1.1), openssh-client | openssh-server
+Depends: ${misc:Depends}, python3 (>= 3.3), python3-pylibacl (>> 0.5.1-1.1), openssh-client | openssh-server
 Description: File system synchronization tool (1-way, over SSH)
  fssync is a 1-way file-synchronization tool that tracks inodes and maintains a
  local database of files that are on the remote side, making it able to:

## fssync 1.3

=== debian/changelog ===
fssync (1.3-1) unstable; urgency=medium

  * New upstream release fixing major bugs.
  * Add a debian/NEWS entry to recommend upgrade fssync on both sides and
    check data.

 -- Julien Muchembled <jm@jmuchemb.eu>  Wed, 20 Aug 2014 13:29:17 +0200

## fssync 1.4

=== debian/changelog ===
fssync (1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Muchembled <jm@jmuchemb.eu>  Mon, 08 Sep 2014 19:48:08 +0200

## fssync 1.5

=== debian/changelog ===
fssync (1.5-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:53:05 +0000

fssync (1.5-1) unstable; urgency=medium

  * New upstream release (Closes: #774393).
  * Update Standards-Version to 3.9.6 (no change needed).
  * Update debian/NEWS to recommend again to upgrade fssync on both sides and
    to check data.

 -- Julien Muchembled <jm@jmuchemb.eu>  Mon, 09 Feb 2015 20:20:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: fssync
 Section: utils
 Priority: extra
-Maintainer: Julien Muchembled <jm@jmuchemb.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julien Muchembled <jm@jmuchemb.eu>
 Build-Depends: debhelper (>= 8.0.0), python-docutils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://jmuchemb.eu/fssync.git
 Vcs-Git: git://jmuchemb.eu/fssync.git

## fssync 1.6

=== Makefile ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 clean:
 	-rm -f fssync.1
+
+test:
+	./test

=== debian/changelog ===
fssync (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.8 (no change needed).
  * Use debhelper 10 (no change).
  * Unit tests are now run during build, so switch build-depends to python3-*
    and add python3-pylibacl.
  * d/copyright: update Copyright: year

 -- Julien Muchembled <jm@jmuchemb.eu>  Sat, 21 Jan 2017 20:59:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fssync
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julien Muchembled <jm@jmuchemb.eu>
-Build-Depends: debhelper (>= 8.0.0), python-docutils
-Standards-Version: 3.9.6
+Maintainer: Julien Muchembled <jm@jmuchemb.eu>
+# python3-pylibacl is only for dh_auto_test
+Build-Depends: debhelper (>= 10), python3-docutils, python3-pylibacl (>> 0.5.1-1.1)
+Standards-Version: 3.9.8
 Homepage: http://jmuchemb.eu/fssync.git
 Vcs-Git: git://jmuchemb.eu/fssync.git

## fssync 1.7

=== debian/changelog ===
fssync (1.7-1) unstable; urgency=medium

  * New upstream release.
    - The test suite does not fail randomly anymore (Closes: #858253).
  * Update Standards-Version to 4.6.2:
    - d/copyright: update format URL to https form
    - priority-extra-is-replaced-by-priority-optional
  * Use debhelper 13:
    - replace d/compat with a debhelper-compat build-dep.
  * Update Homepage.
  * Other fixes:
    - custom-compression-in-debian-source-options
    - debian-rules-parses-dpkg-parsechangelog
    - silent-on-rules-requiring-root (root not required)

 -- Julien Muchembled <jm@jmuchemb.eu>  Sun, 22 Oct 2023 01:39:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: fssync
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Julien Muchembled <jm@jmuchemb.eu>
 # python3-pylibacl is only for dh_auto_test
-Build-Depends: debhelper (>= 10), python3-docutils, python3-pylibacl (>> 0.5.1-1.1)
-Standards-Version: 3.9.8
-Homepage: http://jmuchemb.eu/fssync.git
-Vcs-Git: git://jmuchemb.eu/fssync.git
+Build-Depends: debhelper-compat (= 13), python3-docutils, python3-pylibacl (>> 0.5.1-1.1)
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/jmuchemb/fssync
 
 Package: fssync
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

PKD := $(abspath $(dir $(MAKEFILE_LIST)))

include /usr/share/dpkg/pkg-info.mk

.PHONY: get-orig-source
get-orig-source: $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz:
	set $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/; (cd $(PKD)/.. && \
	git archive --format=tar --prefix=$$1 HEAD) | \
	tar --delete $$1debian/ $$1.gitignore | xz > $@

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
